using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class SubSystemInsert : DataAccessBase
	{
		public SubSystemInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[SubSystemInsert]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramSubSystemName;
		public System.String SubSystemName
		{
			get
			{
				return (System.String)paramSubSystemName.Value;
			}
			set
			{
				paramSubSystemName.Value = value;
			}
		}

		private SqlParameter paramMemo;
		public System.String Memo
		{
			get
			{
				return (System.String)paramMemo.Value;
			}
			set
			{
				paramMemo.Value = value;
			}
		}

		private SqlParameter paramIfUserLog;
		public System.Int16 IfUserLog
		{
			get
			{
				return (System.Int16)paramIfUserLog.Value;
			}
			set
			{
				paramIfUserLog.Value = value;
			}
		}

		private SqlParameter paramSystemFlag;
		public System.Int64 SystemFlag
		{
			get
			{
				return (System.Int64)paramSystemFlag.Value;
			}
			set
			{
				paramSystemFlag.Value = value;
			}
		}

		private SqlParameter paramIfOpenSystem;
		public System.Int16 IfOpenSystem
		{
			get
			{
				return (System.Int16)paramIfOpenSystem.Value;
			}
			set
			{
				paramIfOpenSystem.Value = value;
			}
		}

		private SqlParameter paramCreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return (System.DateTime)paramCreateTime.Value;
			}
			set
			{
				paramCreateTime.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return (System.Int32)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return (System.DateTime)paramUpdateTime.Value;
			}
			set
			{
				paramUpdateTime.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return (System.Int32)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramSubSystemName = new SqlParameter();
			paramSubSystemName.ParameterName = "@SubSystemName";
			paramSubSystemName.SqlDbType = SqlDbType.VarChar;
			paramSubSystemName.Size = 50;
			paramSubSystemName.Direction = ParameterDirection.Input;
			paramSubSystemName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemName);
			//--------------------------------------------------------
			paramMemo = new SqlParameter();
			paramMemo.ParameterName = "@Memo";
			paramMemo.SqlDbType = SqlDbType.VarChar;
			paramMemo.Size = 1000;
			paramMemo.Direction = ParameterDirection.Input;
			paramMemo.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMemo);
			//--------------------------------------------------------
			paramIfUserLog = new SqlParameter();
			paramIfUserLog.ParameterName = "@IfUserLog";
			paramIfUserLog.SqlDbType = SqlDbType.SmallInt;
			paramIfUserLog.Precision = 5;
			paramIfUserLog.Scale = 0;
			paramIfUserLog.Direction = ParameterDirection.Input;
			paramIfUserLog.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIfUserLog);
			//--------------------------------------------------------
			paramSystemFlag = new SqlParameter();
			paramSystemFlag.ParameterName = "@SystemFlag";
			paramSystemFlag.SqlDbType = SqlDbType.BigInt;
			paramSystemFlag.Size = 8;
			paramSystemFlag.Scale = 0;
			paramSystemFlag.Direction = ParameterDirection.Input;
			paramSystemFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSystemFlag);
			//--------------------------------------------------------
			paramIfOpenSystem = new SqlParameter();
			paramIfOpenSystem.ParameterName = "@IfOpenSystem";
			paramIfOpenSystem.SqlDbType = SqlDbType.SmallInt;
			paramIfOpenSystem.Precision = 5;
			paramIfOpenSystem.Scale = 0;
			paramIfOpenSystem.Direction = ParameterDirection.Input;
			paramIfOpenSystem.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIfOpenSystem);
			//--------------------------------------------------------
			paramCreateTime = new SqlParameter();
			paramCreateTime.ParameterName = "@CreateTime";
			paramCreateTime.SqlDbType = SqlDbType.DateTime;
			paramCreateTime.Size = 16;
			paramCreateTime.Scale = 3;
			paramCreateTime.Direction = ParameterDirection.Input;
			paramCreateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTime);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.Int;
			paramCreateUser.Precision = 10;
			paramCreateUser.Scale = 0;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateTime = new SqlParameter();
			paramUpdateTime.ParameterName = "@UpdateTime";
			paramUpdateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateTime.Size = 16;
			paramUpdateTime.Scale = 3;
			paramUpdateTime.Direction = ParameterDirection.Input;
			paramUpdateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateTime);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.Int;
			paramUpdateUser.Precision = 10;
			paramUpdateUser.Scale = 0;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
		}
	}
}